Update Document
curl --request PUT \
--url https://api.example.com/documents/{id} \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>",
"title": "<string>",
"url": "<string>",
"documentId": "<string>"
}
'import requests
url = "https://api.example.com/documents/{id}"
payload = {
"text": "<string>",
"title": "<string>",
"url": "<string>",
"documentId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>', title: '<string>', url: '<string>', documentId: '<string>'})
};
fetch('https://api.example.com/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Documents
Update Document
Update an existing document in the corpus.
PUT
/
documents
/
{id}
Update Document
Path Parameters
string
required
The ID of the document to update.
Body
string
required
The updated raw text content of the document.
string
An updated title for the document.
string
An updated URL specifying where the document originated.
string
The underlying document ID, usually kept the same.
Response
boolean
Indicates whether the update was successful.
Example Request
{
"title": "Welcome Updated",
"text": "Hello world. This is an updated test document."
}
Example Response
{
"success": true
}
⌘I

